@import "../fonts/fonts";
@import "../colors/color";

.header-section {
    
    .header-menu_burger {
        @media screen and (max-width: 480px) {
            position: absolute;
            right: 20px;
            top: 48px;
            cursor: pointer;
            
            &::before,
            &::after {
                content: "";
                position: absolute;
                width: 25px;
                height: 3px;
                background-color: $color-white;
                border-radius: 2px;
                box-shadow: 0 2px 5px rgba(255,101,47,.2);
                transition: all .5s ease-in-out;
            }
            &::before {
                transform: translateY(-9px);
            }
            &::after {
                transform: translateY(5px);
            }
            &.active::before {
                transform: rotate(45deg);
            }
            &.active::after {
                transform: scale(0);
                transition: all .5s ease-in-out;
            }
            
            .header-menu_btn {
                right: 0;
                border-radius: 2px;
                width: 25px;
                height: 3px;
                background: $color-white;
                transition: all .5s ease-in-out;
                
                &.active {
                    transform: rotate(-45deg);
                    transition: all .5s ease-in-out;
                }
            }
        }
    }
    
    .menu__burger {
        display: none;
        
        &.active {
            display: block;
            transition: all .5s ease-in-out;
        }
        .menu__list {
            background: #333333;
            position: absolute;
            right: 15px;
            top: 103px;
            
            .menu__link{
                white-space: nowrap;
                font-family: $fontFamilyMonser;
                font-style: normal;
                font-weight: 400;
                font-size: 26px;
                line-height: 1;
                align-items: center;
                padding: 29px 50px 21px 35px;
                border-bottom: 4px solid #3B3B3B ;
                position: relative;
                
                &:active::before,
                &:focus::before{
                    content: "";
                    position: absolute;
                    width: 8px;
                    height: 53px;
                    left: 2px;
                    top: 14px;
                    background: #8D81AC;
                }
                &:active,
                &:focus {
                    a {
                        color: $main-color;
                    }
                }
                a {
                    text-decoration: none;
                    color:  $color-white;
                }
            }
        }
    }
}
